## InfCommunicationCentralFactory

InfCommunicationCentralFactory — Factory for InfCommunicationCentralMethod methods

## Stability Level

Unstable, unless otherwise indicated

## Functions

InfCommunicationFactory * | inf_communication_central_factory_get_default ()

## Types and Values

struct | InfCommunicationCentralFactory
struct | InfCommunicationCentralFactoryClass

## Object Hierarchy

        GObject
        ╰── InfCommunicationCentralFactory

## Implemented Interfaces

InfCommunicationCentralFactory implements InfCommunicationFactory.

## Includes

    #include <libinfinity/communication/inf-communication-central-factory.h>

## Description

InfCommunicationCentralFactory implements InfCommunicationFactory. It supports the "central" method on all networks by instantiating InfCommunicationCentralMethod.

## Functions

### inf_communication_central_factory_get_default ()

    InfCommunicationFactory *
    inf_communication_central_factory_get_default
                                   (void);

Returns the default InfCommunicationCentralFactory.

#### Returns

A InfCommunicationCentralFactory. It should not be unrefed or freed.

[transfer none]

## Types and Values

### struct InfCommunicationCentralFactory

    struct InfCommunicationCentralFactory;

InfCommunicationCentralFactory is an opaque data type. You should only access it * via the public API functions.

### struct InfCommunicationCentralFactoryClass

    struct InfCommunicationCentralFactoryClass {
    };

This structure does not contain any public fields.